//
// Created by Falko Alrik Schmidt on 19.09.23.
//

#include "Ulm_OLED_Display.h"

Ulm_OLED_Display::Ulm_OLED_Display(TwoWire& wire) : Adafruit_SSD1306(128, 64, &wire, -1) {
    // Nothing more to do here.
}

bool Ulm_OLED_Display::begin() {
    if(!Adafruit_SSD1306::begin(SSD1306_SWITCHCAPVCC, 0x3C)) {
        return false;
    }
    this->setTextSize(1);
    this->setTextColor(SSD1306_WHITE, SSD1306_BLACK);
    this->clearDisplay();
    this->display();
    return true;
}
