//
// Created by Falko Alrik Schmidt on 12.01.24.
//

#ifndef ULM_WEATHERBALLOON_ULM_GENERICSENSOR_H
#define ULM_WEATHERBALLOON_ULM_GENERICSENSOR_H


#include "Ulm_Beginnable.h"

template<typename T>
class Ulm_GenericSensor : public Ulm_Beginnable {

public:
    /**
     * Reads out the sensor.
     * @return {@code true} on success, {@code false} if there is an
     * error with the sample or sensor.
     */
    virtual bool sample(T& t) = 0;

};


#endif //ULM_WEATHERBALLOON_ULM_GENERICSENSOR_H
