//
// Created by Falko Alrik Schmidt on 11.01.24.
//

#include "Ulm_SCD4X.h"

Ulm_SCD4X::Ulm_SCD4X() : SensirionI2CScd4x() {
    // Nothing more to do here.
}

bool Ulm_SCD4X::begin() {
    Wire.begin();
    SensirionI2CScd4x::begin(Wire);
    return  this->stopPeriodicMeasurement()  == 0 &&
            this->startPeriodicMeasurement() == 0;
}

bool Ulm_SCD4X::sample(struct Ulm_SCD4X_Sample &sample) {
    // Please note: We could also check, if new data is available,
    // which is only the case every 5 seconds. But in this case, we only
    // really want to return false, if there is a severe error. No new values
    // is not an error, it is just how the sensor behaves.
    // This implementation will always write to the struct, but eventually same
    // values are written.
    return this->readMeasurement(sample.co2, sample.temperature, sample.humidity) == NoError;
}
